import threading

# Create a thread lock for the database
database_lock = threading.Lock()

def write_to_database(data):
    # Acquire the thread lock before accessing the database
    with database_lock:
        # Write data to the database
        # (database logic goes here)
        print('Wrote to the database')

def rotate_database():
    # Acquire the thread lock before rotating the database
    with database_lock:
        # Rotate the database
        # (database rotation logic goes here)
        print('Rotated the database')

